Bug 965454 - java.lang.NullPointerException in org.jbpm.bpmn2.xml.di.BPMNPlaneHandler.end() when missing process id.
java.lang.NullPointerException in org.jbpm.bpmn2.xml.di.BPMNPlaneHandler.end(...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 6.0.0
Assigned To: Kris Verlaenen
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 05:28 EDT by Marek Baluch
Modified: 2014-08-06 16:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Process definition which can be used to reproduce the problem. (3.61 KB, application/xml)
2013-05-21 05:28 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2013-05-21 05:28:11 EDT
Created attachment 750937 [details]
Process definition which can be used to reproduce the problem.

** Description of problem:

A java.lang.NullPointerException will be thrown during parsing of the process if the definition (see attached file) contains 'xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI"' elements and the process element is missing the 'id' attribute. 

** How reproducible:

File file = new File("/path/to/the/attached/process/definition");
Resource process = ResourceFactory.newFileResource(file);

KieServices ks = KieServices.Factory.get();
KieFileSystem kfs = ks.newKieFileSystem();
kfs.write(process);

KieBuilder kb = ks.newKieBuilder(kfs);
kb.buildAll();

** Actual results:

java.lang.NullPointerException on the kb.buildAll(); line.
Comment 1 Marek Baluch 2013-06-26 03:55:08 EDT
Verified on DR5 (Beta3 community)
Comment 5 Lukáš Petrovický 2014-02-07 11:15:36 EST
This BZ has been part of the 6.0.0 stream.

Note You need to log in before you can comment on or make changes to this bug.